"use strict";
// *****************************************************************************
// Copyright (C) 2021 ByteDance and others.
//
// This program and the accompanying materials are made available under the
// terms of the Eclipse Public License v. 2.0 which is available at
// http://www.eclipse.org/legal/epl-2.0.
//
// This Source Code may also be made available under the following Secondary
// Licenses when the conditions for such availability set forth in the Eclipse
// Public License v. 2.0 are satisfied: GNU General Public License, version 2
// with the GNU Classpath Exception which is available at
// https://www.gnu.org/software/classpath/license.html.
//
// SPDX-License-Identifier: EPL-2.0 OR GPL-2.0-only WITH Classpath-exception-2.0
// *****************************************************************************
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomTaskRunnerContribution = void 0;
const tslib_1 = require("tslib");
const inversify_1 = require("@theia/core/shared/inversify");
const custom_task_runner_1 = require("./custom-task-runner");
let CustomTaskRunnerContribution = class CustomTaskRunnerContribution {
    registerRunner(runners) {
        runners.registerRunner('customExecution', this.customTaskRunner);
    }
};
(0, tslib_1.__decorate)([
    (0, inversify_1.inject)(custom_task_runner_1.CustomTaskRunner),
    (0, tslib_1.__metadata)("design:type", custom_task_runner_1.CustomTaskRunner)
], CustomTaskRunnerContribution.prototype, "customTaskRunner", void 0);
CustomTaskRunnerContribution = (0, tslib_1.__decorate)([
    (0, inversify_1.injectable)()
], CustomTaskRunnerContribution);
exports.CustomTaskRunnerContribution = CustomTaskRunnerContribution;
//# sourceMappingURL=custom-task-runner-contribution.js.map